org.deidentifier.arx.gui.view.impl

## Class MainToolBar

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.AbstractMenu
  - - org.deidentifier.arx.gui.view.impl.MainToolBar

All Implemented Interfaces:
  IView

    public class MainToolBar
    extends AbstractMenu

This class implements the global application tool bar.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`MainToolBar(org.eclipse.swt.widgets.Shell parent, Controller controller, java.util.List<MainMenuItem> items)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the view.
`void` `reset()` Resets the view.
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MainToolBar

    public MainToolBar(org.eclipse.swt.widgets.Shell parent,
                       Controller controller,
                       java.util.List<MainMenuItem> items)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`
Overrides:
  `dispose` in class `AbstractMenu`

#### reset

    public void reset()

Description copied from interface: `IView`
Resets the view.

Specified by:
  `reset` in interface `IView`
Overrides:
  `reset` in class `AbstractMenu`

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`
Overrides:
  `update` in class `AbstractMenu`